org.eclipse.cdt.core.cdtvariables

## Interface IUserVarSupplier

    public interface IUserVarSupplier

Public interface to access to UserVarSupplier class methods

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`ICdtVariable` `createMacro(ICdtVariable copy, ICConfigurationDescription contextData)`
`ICdtVariable` `createMacro(String macroName, int type, String[] value, ICConfigurationDescription contextData)`
`ICdtVariable` `createMacro(String macroName, int type, String value, ICConfigurationDescription contextData)`
`void` `deleteAll(ICConfigurationDescription contextData)`
`ICdtVariable` `deleteMacro(String name, ICConfigurationDescription contextData)`
`ICdtVariable[]` `getMacros(ICConfigurationDescription contextData)`
`IStorableCdtVariables` `getWorkspaceVariablesCopy()`
`boolean` `isDynamic(ICdtVariable v)`
`void` `setMacros(ICdtVariable[] m, ICConfigurationDescription contextData)`
`boolean` `setWorkspaceVariables(IStorableCdtVariables vars)`
`void` `storeWorkspaceVariables(boolean force)`

### Method Detail

#### createMacro

    ICdtVariable createMacro(ICdtVariable copy,
                             ICConfigurationDescription contextData)

#### createMacro

    ICdtVariable createMacro(String macroName,
                             int type,
                             String value,
                             ICConfigurationDescription contextData)

#### createMacro

    ICdtVariable createMacro(String macroName,
                             int type,
                             String[] value,
                             ICConfigurationDescription contextData)

#### deleteAll

    void deleteAll(ICConfigurationDescription contextData)

#### deleteMacro

    ICdtVariable deleteMacro(String name,
                             ICConfigurationDescription contextData)

#### getMacros

    ICdtVariable[] getMacros(ICConfigurationDescription contextData)

#### getWorkspaceVariablesCopy

    IStorableCdtVariables getWorkspaceVariablesCopy()

#### isDynamic

    boolean isDynamic(ICdtVariable v)

#### setMacros

    void setMacros(ICdtVariable[] m,
                   ICConfigurationDescription contextData)

#### setWorkspaceVariables

    boolean setWorkspaceVariables(IStorableCdtVariables vars)
                           throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### storeWorkspaceVariables

    void storeWorkspaceVariables(boolean force)